| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::PassthroughControllerFunction Class Reference
Core » General

Predefined controller function which just passes through the original source directly to dest. More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::PassthroughControllerFunction:
[legend]

## Public Member Functions
| PassthroughControllerFunction (bool deltaInput=false)
| Constructor. More...
Real | calculate (Real source)
| Overridden function. More...

## Detailed Description

Predefined controller function which just passes through the original source directly to dest.

## Constructor & Destructor Documentation

## ◆ PassthroughControllerFunction()

Ogre::PassthroughControllerFunction::PassthroughControllerFunction | ( | bool | deltaInput = `false` | ) |

Constructor.

Parameters

  deltaInput | If true, signifies that the input will be a delta value such that the function should add it to an internal counter before calculating the output.

## Member Function Documentation

## ◆ calculate()

Real Ogre::PassthroughControllerFunction::calculate | ( | Real | source | ) |
| virtual

Overridden function.

Implements Ogre::ControllerFunction< Real >.

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h